# Interface ApplicationState

interface ApplicationState {
agentState: {
defaultLLM: string;
userName: string;
};
appState: {
currentActiveProjectPath: string;
defaultApplicationLLM: string;
};
projectState: {
chats: [];
projectName: string;
projectPath: string;
token_used: string;
};
}

- Defined in node_modules/@codebolt/types/types/state.d.ts:10

#####
Index

### Properties

agentState
appState
projectState

## Properties

### agentState

agentState: {
defaultLLM: string;
userName: string;
}

#### Type declaration

- ##### defaultLLM: string

- ##### userName: string

- Defined in node_modules/@codebolt/types/types/state.d.ts:11

### appState

appState: {
currentActiveProjectPath: string;
defaultApplicationLLM: string;
}

#### Type declaration

- ##### currentActiveProjectPath: string

- ##### defaultApplicationLLM: string

- Defined in node_modules/@codebolt/types/types/state.d.ts:15

### projectState

projectState: {
chats: [];
projectName: string;
projectPath: string;
token_used: string;
}

#### Type declaration

- ##### chats: []

- ##### projectName: string

- ##### projectPath: string

- ##### token_used: string

- Defined in node_modules/@codebolt/types/types/state.d.ts:19